gtkmm: Gtk::ComboDropDownItem Class Reference

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::ComboDropDownItem Class Reference

An item in a ComboDropDownList. More...

Inheritance diagram for Gtk::ComboDropDownItem:
[legend]
Collaboration diagram for Gtk::ComboDropDownItem:
[legend]

List of all members.

## Public Member Functions
virtual | ~ComboDropDownItem ()
GtkListItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkListItem* | gobj () const
| Provides access to the underlying C GtkObject.
| ComboDropDownItem ()
Glib::SignalProxy2< void, ScrollType, float > | signal_scroll_horizontal ()
Glib::SignalProxy2< void, ScrollType, float > | signal_scroll_vertical ()
## Protected Member Functions
virtual void | on_scroll_horizontal (ScrollType scroll_type, float position)
virtual void | on_scroll_vertical (ScrollType scroll_type, float position)
## Related Functions
(Note that these are not member functions.)
Gtk::ComboDropDownItem* | wrap (GtkListItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An item in a ComboDropDownList.

Items in a ComboDropDownList inherit Item. Two signals are added.

Deprecated:
  Use the ComboBox widget instead.

## Constructor & Destructor Documentation

virtual Gtk::ComboDropDownItem::~ComboDropDownItem | ( | ) | `[virtual]`

Gtk::ComboDropDownItem::ComboDropDownItem | ( | ) |

## Member Function Documentation

GtkListItem* Gtk::ComboDropDownItem::gobj | ( | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Item.

const GtkListItem* Gtk::ComboDropDownItem::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Item.

virtual void Gtk::ComboDropDownItem::on_scroll_horizontal | ( | ScrollType | scroll_type,
|  | float | position
| ) |  | `[protected, virtual]`

virtual void Gtk::ComboDropDownItem::on_scroll_vertical | ( | ScrollType | scroll_type,
|  | float | position
| ) |  | `[protected, virtual]`

Glib::SignalProxy2< void,ScrollType,float > Gtk::ComboDropDownItem::signal_scroll_horizontal | ( | ) |

Prototype:
  `void on_my_scroll_horizontal(ScrollType scroll_type, float position)`

Glib::SignalProxy2< void,ScrollType,float > Gtk::ComboDropDownItem::signal_scroll_vertical | ( | ) |

Prototype:
  `void on_my_scroll_vertical(ScrollType scroll_type, float position)`

## Friends And Related Function Documentation

Gtk::ComboDropDownItem* wrap | ( | GtkListItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/combo.h